Skip to main content
v1

Start desktop recording.

POST /v1/desktop/recording/start: request parameters and responses.

POST /v1/desktop/recording/start

Starts an ffmpeg x11grab recording against the managed desktop and returns the created recording metadata.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopRecordingStartRequest"
  }
}

Related schemas: DesktopRecordingStartRequest.

Responses

200

Desktop recording started

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopRecordingInfo"
  }
}

Related schemas: DesktopRecordingInfo.

409

Desktop runtime is not ready or a recording is already active

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop recording failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.